For the complete documentation index, see llms.txt. This page is also available as Markdown.

Rotate Key

Rotates the monitoring pipeline key, invalidating the previous one. The new key is returned only in this response and cannot be retrieved again.

post
/pipelines/{pipelineId}/key
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
pipelineIdstring · uuidRequired

The ID (UUID) of the Pipeline.

Example: f72521ba-1590-5998-bf96-6eb997a5887d
Responses
201

Rotate Key succeeded.

application/json

Contains the newly generated pipeline key, returned only by the key rotation operation. The value cannot be retrieved again later.

keystringRequired

The key is shared once and is used to authenticate the metrics sent to the pipeline.

Example: momSrlgAAEmaYEvBsMr^HsYn
post/pipelines/{pipelineId}/key
POST /pipelines/{pipelineId}/key HTTP/1.1
Host: monitoring.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "key": "momSrlgAAEmaYEvBsMr^HsYn"
}

Last updated

Was this helpful?